Page MenuHomePhabricator

Flow shouldn't assume Parsoid is source of all VRS errors
Closed, ResolvedPublic

Description

Since VRS backend could be either Parsoid or RESTBase, the error messages should reflect this. See T112330.

Event Timeline

cscott created this task.Sep 14 2015, 6:41 PM
cscott raised the priority of this task from to Needs Triage.
cscott updated the task description. (Show Details)
cscott added a project: StructuredDiscussions.
cscott added subscribers: Aklapper, cscott.
Restricted Application added a project: Collaboration-Team-Triage. · View Herald TranscriptSep 14 2015, 6:41 PM

Which error messages are you talking about exactly?

Catrope triaged this task as Normal priority.Sep 23 2015, 11:35 PM

Change 242929 had a related patch set uploaded (by Cscott):
Clarify that both Parsoid and RESTBase can respond to VRS requests

https://gerrit.wikimedia.org/r/242929

cscott added a comment.Oct 1 2015, 6:30 PM

@Catrope hopefully the patch answers your question. Flow doesn't have quite the same proliferation of "parsoiderror" types, but there are still some things that could be clarified.

Change 242929 merged by jenkins-bot:
Clarify that both Parsoid and RESTBase can respond to VRS requests

https://gerrit.wikimedia.org/r/242929

Catrope closed this task as Resolved.Feb 13 2016, 12:26 AM
Catrope claimed this task.